/*https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_sidebar_responsive*/

body {
  margin: 0;
  font-family: "Helvetica Neue", Arial,"Hiragino Kaku Gothic ProN","Hiragino Sans","BIZ UDPGothic",　Meiryo,　sans-serif;
  padding: 10px;
}
p {
  text-indent: 2em;
  line-height: 1.5;
  line-break: strict;
}

img{
  max-width: 100%;
}
.header {
  padding: 10px;
  text-align: center;
  color: black;
  background-color: lightblue;
}

.header h1{
font-family: "MS ゴシック" ;
}

.header img#top {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


a {
  display: block;
  padding: 10px;
  text-align: left;
  color: black;
  background-color: white;
  text-decoration: none;
}

a:hover {
  color: gray;
}
.sidebar{
  margin: 0;
  padding: 5px;
  width: 210px;
  background-color: white;
  position: absolute;
  height: 100%;
  overflow: auto;
}

.sidebar li{
  margin: 2px;
  border-radius: 5px;
  border-color: lightgray;
  border-style: groove;
  float: left;
}

.sidebar i{
  color: lightblue;
  margin: 0;
  padding: 0;
}
.sidebar ul{
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  display: grid;
}

/*.sidebar a.icon {
  display: none;
  }*/

.content{
  margin-left: 210px;
  padding: 1px 16px;
}

.signature{
  color: black;
  text-align: right;
}


h3.square {
  list-style-type: square;
}

.container h2{
  display: block;
}

.container{
    margin-left: 210px;
    display: flex;
    column-gap: 50px;
    padding: 1px 16px;
}
.container p{
    text-indent: 0em;
    color: black;
}
/*footer*/
.content .footer {
  display: inline-block;
  text-indent: -1em;
  background-color: white;
  color: black;
  transition-duration: 0.5s;
}


.content .footer:hover {
  color: gray;
}

.content .contact{
  text-indent: 0em;
  border: none;
  text-decoration: none;
  display: inline-block;
  background-color: white; 
  color: black; 
  transition-duration: 0.4s;
  border: 2px solid #4CAF50;
}

.content .contact:hover {
  background-color: #4CAF50;
  color: white;
}



/*medical workers verification*/
.modal {
  height: 100%;
  width: 100%;
  position: fixed;
  background: white;
  text-align: center;
}

button .button{
  background-color: blue;
  color: white;
  padding: 10px 20px;
}

.button:hover{
    background-color: lightgray;
}

.content .form-submit{
 margin-left: 300px;

}

#topbutton {
  position: fixed;
  bottom: 20px; 
  right: 40px; 
  z-index: 99; 
  border: none; 
  outline: none; 
  background-color: gray; 
  color: white; 
  cursor: pointer;
  padding: 15px; 
  border-radius: 10px; 
  font-size: 20px; 
}

#topbutton:hover {
  background-color: #333; 
}

/*for mobile devices*/
@media screen and (max-width: 700px) {
 /*.sidebar ul{
  display: none;
  }
  
  .sidebar a.icon {
  background: black;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
  }*/
  
  .sidebar i{
  display: none;
  }
  a{
    text-align: center;
  }
  div#general{
  margin-left: 10px;
  padding: 0px;
  }
  div#facilities{
  margin-left: 10px;
  padding: 0px;
  }
  div#meeting{
  margin-left: 10px;
  padding: 0px;
  }
  div#introduction{
  margin-left: 10px;
  padding: 0px;
  }
  div#contact{
  margin-left: 10px;
  padding: 0px;
  }
  div#news{
  margin-left: 10px;
  padding: 0px;
  }
  div#office{
  margin-left: 10px;
  padding: 0px;
  }
   div#link{
  margin-left:10px;
  padding: 0px;
  }

  .sidebar {
    width: 100%;
    padding: 0;
    height: auto;
    position: relative;

  }
  .sidebar a {float: center;
  }
 
}

